Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceBlockDeviceMappingSpecification

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceBlockDeviceMappingSpecification

    public class InstanceBlockDeviceMappingSpecification

extends Object

Specifies how an instance's block devices should be mapped on a running instance.

Constructor Summary
`InstanceBlockDeviceMappingSpecification()`

Method Summary
`String` | `getDeviceName()` The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
`EbsInstanceBlockDeviceSpecification` | `getEbs()` The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.
`String` | `getNoDevice()` When set to the empty string, specifies that the device name in this object should not be mapped to any real device.
`String` | `getVirtualName()` The virtual device name.
`void` | `setDeviceName(String deviceName)` The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
`void` | `setEbs(EbsInstanceBlockDeviceSpecification ebs)` The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.
`void` | `setNoDevice(String noDevice)` When set to the empty string, specifies that the device name in this object should not be mapped to any real device.
`void` | `setVirtualName(String virtualName)` The virtual device name.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceBlockDeviceMappingSpecification` | `withDeviceName(String deviceName)` The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
`InstanceBlockDeviceMappingSpecification` | `withEbs(EbsInstanceBlockDeviceSpecification ebs)` The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.
`InstanceBlockDeviceMappingSpecification` | `withNoDevice(String noDevice)` When set to the empty string, specifies that the device name in this object should not be mapped to any real device.
`InstanceBlockDeviceMappingSpecification` | `withVirtualName(String virtualName)` The virtual device name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceBlockDeviceMappingSpecification

    public InstanceBlockDeviceMappingSpecification()

Method Detail

### getDeviceName

    public String getDeviceName()

  The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

  Returns:
    The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

### setDeviceName

    public void setDeviceName(String deviceName)

  The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

  Parameters:
    `deviceName` - The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

### withDeviceName

    public InstanceBlockDeviceMappingSpecification withDeviceName(String deviceName)

  The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `deviceName` - The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEbs

    public EbsInstanceBlockDeviceSpecification getEbs()

  The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.

  Returns:
    The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.

### setEbs

    public void setEbs(EbsInstanceBlockDeviceSpecification ebs)

  The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.

  Parameters:
    `ebs` - The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.

### withEbs

    public InstanceBlockDeviceMappingSpecification withEbs(EbsInstanceBlockDeviceSpecification ebs)

  The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ebs` - The EBS instance block device specification describing the EBS block device to map to the specified device name on a running instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVirtualName

    public String getVirtualName()

  The virtual device name.

  Returns:
    The virtual device name.

### setVirtualName

    public void setVirtualName(String virtualName)

  The virtual device name.

  Parameters:
    `virtualName` - The virtual device name.

### withVirtualName

    public InstanceBlockDeviceMappingSpecification withVirtualName(String virtualName)

  The virtual device name.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `virtualName` - The virtual device name.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNoDevice

    public String getNoDevice()

  When set to the empty string, specifies that the device name in this object should not be mapped to any real device.

  Returns:
    When set to the empty string, specifies that the device name in this object should not be mapped to any real device.

### setNoDevice

    public void setNoDevice(String noDevice)

  When set to the empty string, specifies that the device name in this object should not be mapped to any real device.

  Parameters:
    `noDevice` - When set to the empty string, specifies that the device name in this object should not be mapped to any real device.

### withNoDevice

    public InstanceBlockDeviceMappingSpecification withNoDevice(String noDevice)

  When set to the empty string, specifies that the device name in this object should not be mapped to any real device.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `noDevice` - When set to the empty string, specifies that the device name in this object should not be mapped to any real device.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.